﻿; prompt-user.pb
; ------------------------------------------------------------
; this tool displays a message requester showing a custom text
; LICENSE  : GPL
; AUTHOR   : Michael H.G. Schmidt
; EMAIL    : michael@schmidt2.de
; DATE     : 20230214
; ------------------------------------------------------------
;


OpenConsole()

; check commandline ...
If ( CountProgramParameters() <> 1 )
	ConsoleColor(14,0)
	PrintN("")
	PrintN("usage: prompt-user <message>")
	PrintN("")
	ConsoleColor(15,0)
	PrintN("show a message for the user")
	ConsoleColor(7,0)
	PrintN("")
	End 99
EndIf

; get arguments ...
message$ = ProgramParameter(0)

MessageRequester("System Message", message$, #PB_MessageRequester_Info)
CloseConsole()


; IDE Options = PureBasic 5.73 LTS (Windows - x64)
; CursorPosition = 6
; EnableXP
; CompileSourceDirectory